
%global PREFIX /usr/
%global DOMAIN github.com
%global ORG kata-containers
%global PROJECT ksm-throttler
%global IMPORTNAME %{DOMAIN}/%{ORG}/%{PROJECT}

%if 0%{?suse_version}
%define LIBEXECDIR %{_libdir}
%else
%define LIBEXECDIR %{_libexecdir}
%endif

%undefine _missing_build_ids_terminate_build
%define  debug_package %{nil}

Name:             kata-ksm-throttler
Version:          1.11.5
Release:          2%{?dist}
#   0.20201111.git8515559
Vendor:           Oracle America
Summary:          KSM throttling daemon for Kata containers
Group:            Development/Tools
License:          Apache-2.0
Source0:          %{name}-%{version}.tar.bz2
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    golang >= 1.15.9
BuildRequires:    git
BuildRequires:    systemd

%if 0%{?suse_version} && 0%{?is_opensuse}
BuildRequires: openSUSE-release
%endif

Conflicts: cc-ksm-throttler

%description
KSM (Kernel Samepage Merging) is a memory-saving de-duplication feature of Linux kernel.
This component implements algorithm and triggers used by Kata containers to throttle KSM up and down.

%prep
%setup -q

%build
export GOPATH=$HOME/rpmbuild/BUILD/go/

mkdir -p $HOME/rpmbuild/BUILD/go/src/%{DOMAIN}/%{ORG}
ln -s %{_builddir}/kata-ksm-throttler-%{version} $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
cd $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
make \
    COMMIT=8515559 \
    TARGET=kata-ksm-throttler \
    LIBEXECDIR=%{LIBEXECDIR}

%install
export GOPATH=$HOME/rpmbuild/BUILD/go/

cd $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
make install \
    COMMIT=8515559 \
    TARGET=kata-ksm-throttler \
    DESTDIR=%{buildroot} \
    LIBEXECDIR=%{LIBEXECDIR}

%files
%license LICENSE THIRD_PARTY_LICENSES.txt
%defattr(-,root,root,-)
%{LIBEXECDIR}/kata-ksm-throttler
/usr/lib/systemd/system/kata-ksm-throttler.service
/usr/lib/systemd/system/kata-vc-throttler.service

%changelog
* Tue Apr 20 2021 Daniel Carvallo <luis.daniel.carvallo@oracle.com> - 1.11.5-2
- Address CVE-2021-27918

* Sat Nov 14 2020 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 1.11.5-1
- Added Oracle Specific Build Files for kata-ksm-throttler
